import 'package:flutter/cupertino.dart';
import 'package:flutter_map/flutter_map.dart';
import 'package:geolocator/geolocator.dart';

class MapState extends ChangeNotifier {
  bool _isCurrentlyLoading = false;
  final MapController _mapController = MapController();
  final Geolocator _geolocator = Geolocator();

  bool get isCurrentlyLoading => _isCurrentlyLoading;
  MapController get getMapController => _mapController;
  Geolocator get getGeolocator => _geolocator;

  void setLoading(bool loading) {
    _isCurrentlyLoading = loading;
    notifyListeners();
  }
}